opensaml-3.0.1

Public Member Functions | List of all members
opensaml::saml2md::ObservableMetadataProvider::Observer Class Referenceabstract

An observer of metadata provider changes. More...

`#include <saml/saml2/metadata/ObservableMetadataProvider.h>`

## Public Member Functions
virtual void | onEvent (const ObservableMetadataProvider &provider) const =0
| Called when a provider signals an event has occured. More...
virtual void | onEvent (const ObservableMetadataProvider &provider, const EntityDescriptor &entity) const
| Called when a provider signals an event has occured. More...

## Detailed Description

An observer of metadata provider changes.

## Member Function Documentation

## ◆ onEvent() [1/2]

virtual void opensaml::saml2md::ObservableMetadataProvider::Observer::onEvent | ( | const ObservableMetadataProvider & | provider | ) | const
| pure virtual

Called when a provider signals an event has occured.

The provider is already locked.

Parameters

  provider | the provider being observed

## ◆ onEvent() [2/2]

virtual void opensaml::saml2md::ObservableMetadataProvider::Observer::onEvent | ( | const ObservableMetadataProvider & | provider,
|  | const EntityDescriptor & | entity
| ) |  | const
| virtual

Called when a provider signals an event has occured.

The provider is already locked.

Parameters

  provider | the provider being observed
  entity | the entity that underwent modification

The documentation for this class was generated from the following file:

- saml/saml2/metadata/ObservableMetadataProvider.h